C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Themes.UpdateAsync(
themeId: "themeId",
request: new UpdateBrandingThemeRequestContent {
Borders = new BrandingThemeBorders {
ButtonBorderRadius = 1.1,
ButtonBorderWeight = 1.1,
ButtonsStyle = BrandingThemeBordersButtonsStyleEnum.Pill,
InputBorderRadius = 1.1,
InputBorderWeight = 1.1,
InputsStyle = BrandingThemeBordersInputsStyleEnum.Pill,
ShowWidgetShadow = true,
WidgetBorderWeight = 1.1,
WidgetCornerRadius = 1.1
},
Colors = new BrandingThemeColors {
BodyText = "body_text",
Error = "error",
Header = "header",
Icons = "icons",
InputBackground = "input_background",
InputBorder = "input_border",
InputFilledText = "input_filled_text",
InputLabelsPlaceholders = "input_labels_placeholders",
LinksFocusedComponents = "links_focused_components",
PrimaryButton = "primary_button",
PrimaryButtonLabel = "primary_button_label",
SecondaryButtonBorder = "secondary_button_border",
SecondaryButtonLabel = "secondary_button_label",
Success = "success",
WidgetBackground = "widget_background",
WidgetBorder = "widget_border"
},
Fonts = new BrandingThemeFonts {
BodyText = new BrandingThemeFontBodyText {
Bold = true,
Size = 1.1
},
ButtonsText = new BrandingThemeFontButtonsText {
Bold = true,
Size = 1.1
},
FontUrl = "font_url",
InputLabels = new BrandingThemeFontInputLabels {
Bold = true,
Size = 1.1
},
Links = new BrandingThemeFontLinks {
Bold = true,
Size = 1.1
},
LinksStyle = BrandingThemeFontLinksStyleEnum.Normal,
ReferenceTextSize = 1.1,
Subtitle = new BrandingThemeFontSubtitle {
Bold = true,
Size = 1.1
},
Title = new BrandingThemeFontTitle {
Bold = true,
Size = 1.1
}
},
PageBackground = new BrandingThemePageBackground {
BackgroundColor = "background_color",
BackgroundImageUrl = "background_image_url",
PageLayout = BrandingThemePageBackgroundPageLayoutEnum.Center
},
Widget = new BrandingThemeWidget {
HeaderTextAlignment = BrandingThemeWidgetHeaderTextAlignmentEnum.Center,
LogoHeight = 1.1,
LogoPosition = BrandingThemeWidgetLogoPositionEnum.Center,
LogoUrl = "logo_url",
SocialButtonsLayout = BrandingThemeWidgetSocialButtonsLayoutEnum.Bottom
}
}
);
}
}{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"input_border_radius": 5,
"input_border_weight": 1.5,
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>"
},
"themeId": "<string>",
"widget": {
"logo_height": 50.5,
"logo_url": "<string>"
}
}Update branding theme
Update branding theme.
PATCH
https://{tenantDomain}/api/v2
/
branding
/
themes
/
{themeId}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Themes.UpdateAsync(
themeId: "themeId",
request: new UpdateBrandingThemeRequestContent {
Borders = new BrandingThemeBorders {
ButtonBorderRadius = 1.1,
ButtonBorderWeight = 1.1,
ButtonsStyle = BrandingThemeBordersButtonsStyleEnum.Pill,
InputBorderRadius = 1.1,
InputBorderWeight = 1.1,
InputsStyle = BrandingThemeBordersInputsStyleEnum.Pill,
ShowWidgetShadow = true,
WidgetBorderWeight = 1.1,
WidgetCornerRadius = 1.1
},
Colors = new BrandingThemeColors {
BodyText = "body_text",
Error = "error",
Header = "header",
Icons = "icons",
InputBackground = "input_background",
InputBorder = "input_border",
InputFilledText = "input_filled_text",
InputLabelsPlaceholders = "input_labels_placeholders",
LinksFocusedComponents = "links_focused_components",
PrimaryButton = "primary_button",
PrimaryButtonLabel = "primary_button_label",
SecondaryButtonBorder = "secondary_button_border",
SecondaryButtonLabel = "secondary_button_label",
Success = "success",
WidgetBackground = "widget_background",
WidgetBorder = "widget_border"
},
Fonts = new BrandingThemeFonts {
BodyText = new BrandingThemeFontBodyText {
Bold = true,
Size = 1.1
},
ButtonsText = new BrandingThemeFontButtonsText {
Bold = true,
Size = 1.1
},
FontUrl = "font_url",
InputLabels = new BrandingThemeFontInputLabels {
Bold = true,
Size = 1.1
},
Links = new BrandingThemeFontLinks {
Bold = true,
Size = 1.1
},
LinksStyle = BrandingThemeFontLinksStyleEnum.Normal,
ReferenceTextSize = 1.1,
Subtitle = new BrandingThemeFontSubtitle {
Bold = true,
Size = 1.1
},
Title = new BrandingThemeFontTitle {
Bold = true,
Size = 1.1
}
},
PageBackground = new BrandingThemePageBackground {
BackgroundColor = "background_color",
BackgroundImageUrl = "background_image_url",
PageLayout = BrandingThemePageBackgroundPageLayoutEnum.Center
},
Widget = new BrandingThemeWidget {
HeaderTextAlignment = BrandingThemeWidgetHeaderTextAlignmentEnum.Center,
LogoHeight = 1.1,
LogoPosition = BrandingThemeWidgetLogoPositionEnum.Center,
LogoUrl = "logo_url",
SocialButtonsLayout = BrandingThemeWidgetSocialButtonsLayoutEnum.Bottom
}
}
);
}
}{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"input_border_radius": 5,
"input_border_weight": 1.5,
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>"
},
"themeId": "<string>",
"widget": {
"logo_height": 50.5,
"logo_url": "<string>"
}
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the theme
Body
application/jsonapplication/x-www-form-urlencoded
Branding theme
Response
Branding settings successfully updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display Name
Maximum string length:
2048Pattern:
^[^<>]*$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Theme Id
Maximum string length:
32Pattern:
^[a-zA-Z0-9]{32}$Show child attributes
Show child attributes
Was this page helpful?
⌘I